dbXML API

## com.dbxml.db.common.security
Class SecurityManagerBase

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.common.security.SecurityManagerBase

All Implemented Interfaces:
  Configurable, SecurityManager

Direct Known Subclasses:
  DefaultSecurityManager, NoSecurityManager, SimpleSecurityManager

public abstract class SecurityManagerBase
extends SimpleConfigurable
implements SecurityManager

SecurityManagerBase

Constructor Summary
`SecurityManagerBase()`

Method Summary
`java.lang.String` `getCurrentUserID()` getCurrentUserID returns the currently authenticated User ID.
`void` `setDatabase(Database database)` setDatabase sets the Database instance for this SecurityManager.
`void` `setMagicUser(User magicUser)` setMagicUser sets the User instance that the SecurityManager can use to represent system-level credentials for low level resource access.
`void` `setUserStack(UserStack userStack)` setUserStack sets the User stack for the SecurityManager.

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig, setConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.db.core.security.SecurityManager
`access, authenticate`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig, setConfig`

Constructor Detail

### SecurityManagerBase

    public SecurityManagerBase()

Method Detail

### setDatabase

    public void setDatabase(Database database)

  Description copied from interface: `SecurityManager`
  setDatabase sets the Database instance for this SecurityManager. It is the Database that the SecurityManager will be assigned to protect. It should also be the Database that the SecurityManager uses to manage access control lists (if local).

  Specified by:
    `setDatabase` in interface `SecurityManager`

### setMagicUser

    public void setMagicUser(User magicUser)
                      throws SecurityException

  Description copied from interface: `SecurityManager`
  setMagicUser sets the User instance that the SecurityManager can use to represent system-level credentials for low level resource access. The implementation of this method should not be allowed to overwrite an existing value, as the Database will call this method only one time.

  Specified by:
    `setMagicUser` in interface `SecurityManager`
  Parameters:
    `magicUser` - The magic User
  Throws:
    `SecurityException`

### setUserStack

    public void setUserStack(UserStack userStack)
                      throws SecurityException

  Description copied from interface: `SecurityManager`
  setUserStack sets the User stack for the SecurityManager.

  Specified by:
    `setUserStack` in interface `SecurityManager`
  Parameters:
    `userStack` - The UserStack
  Throws:
    `SecurityException`

### getCurrentUserID

    public java.lang.String getCurrentUserID()

  Description copied from interface: `SecurityManager`
  getCurrentUserID returns the currently authenticated User ID.

  Specified by:
    `getCurrentUserID` in interface `SecurityManager`
  Returns:
    The current User ID

dbXML API

Copyright (c) 2004 The dbXML Group